export default {
  password: {
    required: 'Password is required',
    strength: {
      acme: 'Password must contain at least a single lowercase, uppercase, digit and special character. The length must be between {min} and {max} characters.',
    },
    length: {
      min: 'Password must be at least {min} characters',
      max: 'Password must be  maximally {max} characters',
    },
  },
  email: {
    required: 'Email address is required or invalid format',
  },
  name: {
    required: `Name is required`,
  },
  two_factor: {
    length: 'Code must contain exactly {length} digits',
  },
} as const